#!/usr/bin/python
import xmlrpclib
import getpass

def connect(args):
    """
    connect to SUSE Manager API using standard args

    args should be created this way:
        parser = argparse.ArgumentParser(description='...')
        parser.add_argument('--api-host', default='localhost', help='API host')
        parser.add_argument('--api-user', default='admin', help='API user')
        parser.add_argument('--api-pass', help='API password')
        args = parser.parse_args()

    return client, key

    client - xmlrpclib object
    key - passed as first arg to API calls

    On error an suitable exception is raised.
    """
    if args.api_pass is None:
        args.api_pass = getpass.getpass("Password for user {} on {}: ".format(args.api_user, args.api_host))

    url = 'http://' + args.api_host + '/rpc/api'
    client = xmlrpclib.Server(url, verbose=0, allow_none=True)
    key = client.auth.login(args.api_user, args.api_pass)
    return client, key
